Part Sphere/fr: Difference between revisions

From FreeCAD Documentation
No edit summary
(Created page with "== Exemple ==")
Line 41: Line 41:
#* Changez la {{PropertyData|Placement}} avec la [[Image:Std_TransformManip.svg|16px]] [[Std_TransformManip/fr|Std Transformation manipulation]].
#* Changez la {{PropertyData|Placement}} avec la [[Image:Std_TransformManip.svg|16px]] [[Std_TransformManip/fr|Std Transformation manipulation]].


== Example ==
== Exemple ==


[[Image:Part_Sphere_Scripting_Example.png|thumb|Part Sphere from the scripting example]]
[[Image:Part_Sphere_Scripting_Example.png|thumb|Part Sphere from the scripting example]]

Revision as of 10:15, 5 March 2022

Part Sphère

Emplacement du menu
Pièce → Primitives → Sphère
Ateliers
Part
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Part Primitives

Description

La commande Part Sphère crée un solide sphérique paramétrique. C'est le résultat de la rotation d'un profil en arc de cercle autour d'un axe. Dans le système de coordonnées défini par sa propriété DonnéesPlacement, le centre de la sphère est positionné à l'origine, et son axe de révolution est l'axe Z.

Une Part Sphère peut être tronquée en haut et/ou en bas en modifiant ses propriétés DonnéesAngle1 et/ou DonnéesAngle2. Il peut être transformé en un segment de sphère en modifiant sa propriété DonnéesAngle3.

Utilisation

  1. Il existe plusieurs façons de lancer la commande :
    • Appuyez sur le bouton Sphère.
    • Sélectionnez l'option Part → Primitives → Sphère dans le menu.
  2. La sphère est créée.
  3. Vous pouvez éventuellement modifier les dimensions et DonnéesPlacement de la sphère en effectuant l'une des opérations suivantes :

Exemple

Part Sphere from the scripting example

A Part Sphere object created with the scripting example below is shown here.

Notes

  • A Part Sphere can also be created with the Part Primitives command. With that command you can specify the dimensions and placement at creation time.

Propriétés

See also: Property editor.

A Part Sphere object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Données

Attachment

The object has the same attachment properties as a Part Part2DObject.

Sphere

  • DonnéesRadius: rayon de la sphère
  • DonnéesAngle 1: 1er angle pour couper/définir la sphère
  • DonnéesAngle 2: 2ème angle pour couper/définir la sphère
  • DonnéesAngle 3: 3ème angle pour couper/définir la sphère

Script

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

Une Part Sphère peut être créée en utilisant la fonction suivante:

sphere = FreeCAD.ActiveDocument.addObject("Part::Sphere", "mySphere")
  • "mySphere" est le nom de l'objet.
  • La fonction restitue l'objet nouvellement créé.

Example:

import FreeCAD as App

doc = App.activeDocument()

sphere = doc.addObject("Part::Sphere", "mySphere")
sphere.Radius = 20
sphere.Angle1 = -30
sphere.Angle2 = 45
sphere.Angle3 = 90
sphere.Placement = App.Placement(App.Vector(3, 9, 11), App.Rotation(75, 60, 30))

doc.recompute()